ZIOMON_ZFCPDD(8)

NAME
ziomon_zfcpdd - monitor zfcp through blktrace drv_data traces

SYNOPSIS
ziomon_zfcpdd [ -v ] [ -V ] [ -h ] [ -i interval ] [ -b file ] [ -Q msgq_path -q msgq_id -m msg_id ]

DESCRIPTION
ziomon_zfcpdd monitors performance relevant data provided by the zfcp device driver: channel und fabric latency, QDIO outbound queue utilisation. ziomon_zfcpdd periodically writes statistics every time a user-sepcified interval elapses. ziomon_zfcpdd consumes zfcp drv_data traces provided by the binary output of blktrace.

OPTIONS

-h or --help
    Print usage information, then exit.

-v or --version
    Print version information, then exit.

-V or --verbose
    Be verbose.

-i interval or --interval interval
    Specify interval length in seconds.

-b file or --binary file
    Specify the filename for binary output.

-Q msgq_path or --msg-queue msgq_path
    Specify the message queue path name.

-q msgq_id or --msg-queue-id msgq_id
    Specify the message queue id.

-m msg_id or --msg-id msg_id
    Specify the message id to use.

SEE ALSO
blktrace (8)